# Jaxer.SMTP : Object
Return to: Jaxer Framework index

A namespace object holding functions and members used for sending emails via SMTP (Simple Mail Transfer Protocol).

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static sendEmail(String mailhost, Number mailport, String from, String to, String subject, String msg) : void Sends an email via SMTP | Show Details | 1.0 | no

Parameters

String | mailhost | The host to connect to
Number | mailport | The port to connect on
String | from | The address this message is coming from
String | to | The address this message is going to
String | subject | The subject of the message
String | msg | The body of the message

static sendMessage(String mailhost, Number mailport, Jaxer.SMTP.MailMessage mailMessage) : void Sends an email message object via SMTP | Show Details | 1.0 | no

Parameters

String | mailhost | The host to connect to
Number | mailport | The port to connect on
Jaxer.SMTP.MailMessage | mailMessage | The Jaxer.SMTP.MailMessage object to send

aptana_docs